org.springframework.context.annotation

## Class LoadTimeWeavingConfiguration

- java.lang.Object
- - org.springframework.context.annotation.LoadTimeWeavingConfiguration

- All Implemented Interfaces:
    Aware, BeanClassLoaderAware, ImportAware

      @Configuration
      public class LoadTimeWeavingConfiguration
      extends Object
      implements ImportAware, BeanClassLoaderAware

  `@Configuration` class that registers a `LoadTimeWeaver` bean.

  This configuration class is automatically imported when using the @`EnableLoadTimeWeaving` annotation. See `@EnableLoadTimeWeaving` Javadoc for complete usage details.

  Since:
    3.1
  Author:
    Chris Beams
  See Also:
    `LoadTimeWeavingConfigurer`, `ConfigurableApplicationContext.LOAD_TIME_WEAVER_BEAN_NAME`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadTimeWeavingConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LoadTimeWeaver` | `loadTimeWeaver()`
    `void` | `setBeanClassLoader(ClassLoader beanClassLoader)` Callback that supplies the bean `class loader` to a bean instance.
    `void` | `setImportMetadata(AnnotationMetadata importMetadata)` Set the annotation metadata of the importing @`Configuration` class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadTimeWeavingConfiguration

          public LoadTimeWeavingConfiguration()

  - ### Method Detail

    - #### setImportMetadata

          public void setImportMetadata(AnnotationMetadata importMetadata)

      Description copied from interface: `ImportAware`
      Set the annotation metadata of the importing @`Configuration` class.
      Specified by:
        `setImportMetadata` in interface `ImportAware`

    - #### setBeanClassLoader

          public void setBeanClassLoader(ClassLoader beanClassLoader)

      Description copied from interface: `BeanClassLoaderAware`
      Callback that supplies the bean `class loader` to a bean instance.

      Invoked after the population of normal bean properties but before an initialization callback such as `InitializingBean's` `InitializingBean.afterPropertiesSet()` method or a custom init-method.

      Specified by:
        `setBeanClassLoader` in interface `BeanClassLoaderAware`
      Parameters:
        `beanClassLoader` - the owning class loader; may be `null` in which case a default `ClassLoader` must be used, for example the `ClassLoader` obtained via `ClassUtils.getDefaultClassLoader()`

    - #### loadTimeWeaver

          @Bean(name="loadTimeWeaver")
          @Role(value=2)
          public LoadTimeWeaver loadTimeWeaver()